Page MenuHomePhabricator

Create namespace redirection "DW:" for fr.wp
Closed, ResolvedPublic

Description

Hello!

On French Wikipedia we would like to have a namespace redirection from "DW:" to namespace=5
DW stands for "Discussion Wikipédia"

Thank you very much

Local project discussion

https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Raccourci_DW_vers_Discussion_Wikip%C3%A9dia

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd DW alias for NS_PROJECT_TALK in frwiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2016, 4:02 PM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes . Also, can you link to any discussion about this request on fr.wp?

Urbanecm claimed this task.Dec 22 2016, 4:07 PM
Urbanecm added a subscriber: Urbanecm.

Did you discuss this in fr.wp? If so, please link to that discussion.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 22 2016, 4:07 PM

Not with the whole community, but a discussion started on my talk page this morning : https://fr.wikipedia.org/wiki/Discussion_utilisateur:Benoit_Rochon#DW:

Benoit

Benoit_Rochon added a comment.EditedDec 22 2016, 7:30 PM

Ok, I start a discussion on the French Wikipedia Village pump, no opposition : https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Raccourci_DW_vers_Discussion_Wikip%C3%A9dia

Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

We'll wait a week or so. The first deploy window is in early January.

Urbanecm triaged this task as Low priority.Dec 22 2016, 7:41 PM
Urbanecm moved this task from Unsorted to Single wikis on the Community-consensus-needed board.

Change 328719 had a related patch set uploaded (by Urbanecm):
Add DW alias for NS_PROJECT_TALK in frwiki

https://gerrit.wikimedia.org/r/328719

Dereckson updated the task description. (Show Details)Dec 23 2016, 1:40 AM
Dereckson updated the task description. (Show Details)

Consensus reached from my POV, I'm going to schedule this for Morning 14:00-15:00 UTC slot.

Change 328719 merged by jenkins-bot:
Add DW alias for NS_PROJECT_TALK in frwiki

https://gerrit.wikimedia.org/r/328719

Mentioned in SAL (#wikimedia-operations) [2017-01-09T15:10:07Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:328719|Add DW alias for NS_PROJECT_TALK in frwiki (T153952)]] (duration: 02m 36s)

zfilipin@terbium:~$ mwscript namespaceDupes.php frwiki
id=10509307 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG (no conflict) DRY RUN ONLY
id=10509314 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA (no conflict) DRY RUN ONLY
id=10509439 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS (no conflict) DRY RUN ONLY
id=10509453 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT (no conflict) DRY RUN ONLY
id=10509457 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC (no conflict) DRY RUN ONLY
id=10509460 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC (no conflict) DRY RUN ONLY
6 pages to fix, 6 were resolvable.

pagelinks from=1929356 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG DRY RUN
pagelinks from=4357864 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG DRY RUN
pagelinks from=1929356 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA DRY RUN
pagelinks from=6577743 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA DRY RUN
pagelinks from=104188 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS DRY RUN
pagelinks from=1929356 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS DRY RUN
pagelinks from=1929356 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT DRY RUN
pagelinks from=2012627 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT DRY RUN
pagelinks from=5428856 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT DRY RUN
pagelinks from=8662739 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT DRY RUN
pagelinks from=1929356 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC DRY RUN
pagelinks from=8729403 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC DRY RUN
pagelinks from=10416437 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC DRY RUN
pagelinks from=10474055 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC DRY RUN
pagelinks from=1125805 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC DRY RUN
pagelinks from=1929356 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC DRY RUN
pagelinks from=8964367 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC DRY RUN
22 links to fix, 22 were resolvable.

Looks good!



zfilipin@terbium:~$ mwscript namespaceDupes.php frwiki --fix
id=10509307 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG (no conflict)
id=10509314 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA (no conflict)
id=10509439 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS (no conflict)
id=10509453 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT (no conflict)
id=10509457 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC (no conflict)
id=10509460 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC (no conflict)
6 pages to fix, 6 were resolvable.

pagelinks from=1929356 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG
pagelinks from=4357864 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG
pagelinks from=8964367 ns=0 dbk=DW:AG -> Discussion_Wikipédia:AG
pagelinks from=1929356 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA
pagelinks from=6577743 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA
pagelinks from=8964367 ns=0 dbk=DW:CAA -> Discussion_Wikipédia:CAA
pagelinks from=104188 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS
pagelinks from=1929356 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS
pagelinks from=8964367 ns=0 dbk=DW:CDS -> Discussion_Wikipédia:CDS
pagelinks from=1929356 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT
pagelinks from=2012627 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT
pagelinks from=5428856 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT
pagelinks from=8662739 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT
pagelinks from=8964367 ns=0 dbk=DW:CT -> Discussion_Wikipédia:CT
pagelinks from=1929356 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC
pagelinks from=8729403 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC
pagelinks from=8964367 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC
pagelinks from=10416437 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC
pagelinks from=10474055 ns=0 dbk=DW:MC -> Discussion_Wikipédia:MC
pagelinks from=1125805 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC
pagelinks from=1929356 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC
pagelinks from=8964367 ns=0 dbk=DW:WC -> Discussion_Wikipédia:WC
22 links to fix, 22 were resolvable.

Looks good!
Urbanecm closed this task as Resolved.Jan 9 2017, 3:23 PM

Deployed.